Subject: Re: bug#64914: [PATCH] * gdb-mi.el: allow disabling the gdb io buffer

From: Stefan Kangas <[email-masked]>
Date: Thu, 13 Feb 2025 02:07:41 -0600

Eli Zaretskii <[email-masked]> writes:

>> Date: Fri, 28 Jul 2023 10:54:02 -0400
>> From: LemonBreezes <[email-masked]>
>> Cc: [email-masked]
>>
>> No, setting gdb-display-io-nopopup to nil does not prevent the program IO from being split off into the
>> gdb-inferior-io buffer, nor does it prevent the gdb-inferior-io buffer from popping up when debugging is
>> started.
>
> I said set it non-nil, not nil. nil is its default value, under which
> it does pop up the IO buffer.  You want it not to pop up, so you
> should set the variable to t.
>
>> The purpose of setting gdb-display-io-buffer to nil is to prevent the gdb-inferior-io buffer from
>> being created altogether, instead outputting the program output to the GDB buffer itself. A user in the
>> Doom Emacs Discord told me this used to be the behavior of gdb-mi.el but that it was changed
>> without giving the user the option to opt out. I have not investigated that but the comments say that is a
>> feature of GDB 6.4 onward.
>
> If the want the old behavior, why do they use gdb-mi at all? why not
> use "M-x gud-gdb" instead?  That behaves exactly like the old GDB
> interface.

No further updates here within 18 months.

Does that mean that "M-x gud-gdb" is all that is needed to satisfy this
use case?  If not, what is still missing?

> But OK, if someone wants to downgrade gdb-mi this way, why not them
> have it.

I'd actually rather lean towards closing this towards as a wontfix.